from mcpi.minecraft import Minecraft
mc = Minecraft.create()

def createWall(pos, width, height, length, type):    
    for x in range(0,width):
        for y in range(0, height):
            for z in range(0, length):
                mc.setBlock(pos.x + x, pos.y + y, pos.z + z, type)
    return

def createWindows(pos, width, height, length, type):
    for x in range(0,width):
        for y in range(1, height, 2):
            for z in range(2, length, 4):
                mc.setBlock(pos.x + x, pos.y + y, pos.z + z, type)
    return

pos = mc.player.getPos()
wall = 1
window = 20


createWall()
createWindow()
mc.saveCheckpoint()
            
